document.addEventListener('DOMContentLoaded', function () {
    const userForm = document.getElementById('userForm');
    const passwordInput = document.getElementById('contrasena');
    const confirmPasswordInput = document.getElementById('confirm_contrasena');
    const passwordError = document.getElementById('password_error');

    userForm.addEventListener('submit', function (e) {
        // Reinicia el mensaje de error
        passwordError.textContent = '';
        
        // Verifica si las contraseñas coinciden, solo si la confirmación es un campo requerido
        if (confirmPasswordInput.required) {
            if (passwordInput.value !== confirmPasswordInput.value) {
                e.preventDefault(); // Evita que el formulario se envíe
                passwordError.textContent = 'Las contraseñas no coinciden. Por favor, inténtalo de nuevo.';
                passwordInput.focus();
            }
        }
    });
});